Bug 192825

Summary: Smiley selector in composer
Product: kmail Reporter: Q <kronophage>
Component: composerAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: wishlist CC: bjoern, montel
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In: 4.9

Description Q 2009-05-15 21:49:03 UTC
Version:            (using KDE 4.2.2)
OS:                Linux
Installed from:    Unlisted Binary Package

It would be nice to have a smiley selector in the mail composer in kmail.
Something usual like in the instant chat messengers.
Comment 1 Laurent Montel 2012-04-06 18:59:08 UTC
Git commit 94fa651e85237ee87f50b39df9d51c127e50a5d5 by Montel Laurent.
Committed on 06/04/2012 at 20:58.
Pushed by mlaurent into branch 'master'.

Fix Bug 192825 - Smiley selector in composer

FIXED-IN: 4.9

M  +1    -1    CMakeLists.txt
M  +3    -0    kpimtextedit/CMakeLists.txt
A  +63   -0    kpimtextedit/emoticontexteditaction.cpp     [License: GPL (v2)]
A  +42   -0    kpimtextedit/emoticontexteditaction.h     [License: GPL (v2)]
A  +134  -0    kpimtextedit/emoticontexteditselector.cpp     [License: GPL (v2)]
A  +68   -0    kpimtextedit/emoticontexteditselector.h     [License: GPL (v2)]
M  +29   -2    kpimtextedit/textedit.cpp
M  +13   -1    kpimtextedit/textedit.h

http://commits.kde.org/kdepimlibs/94fa651e85237ee87f50b39df9d51c127e50a5d5
Comment 2 Laurent Montel 2012-04-06 19:00:16 UTC
Git commit 8a7a8906a4b4dd6ee4485b6d57e2e1314e7fcb35 by Montel Laurent.
Committed on 06/04/2012 at 20:59.
Pushed by mlaurent into branch 'master'.

Fix Bug 192825 - Smiley selector in composer

FIXED-IN: 4.9

M  +1    -1    CMakeLists.txt
M  +3    -1    kmail/kmcomposerui.rc
M  +1    -0    messagecomposer/composerviewbase.cpp

http://commits.kde.org/kdepim/8a7a8906a4b4dd6ee4485b6d57e2e1314e7fcb35